> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyoo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an inspiration question

> Create a new inspiration question for the authenticated workspace.



## OpenAPI

````yaml /api-reference/openapi.json post /inspiration-questions
openapi: 3.0.3
info:
  title: Heyoo API
  description: Heyoo turns employees into strategic storytellers.
  version: 0.0.1
  contact:
    name: Heyoo Support
    email: hey@heyoo.ai
    url: https://heyoo.ai/support
  license:
    name: AGPL-3.0 license
    url: https://github.com/heyoo/heyoo/blob/main/LICENSE.md
servers:
  - url: https://app.heyoo.ai/api
    description: Production API
security: []
paths:
  /inspiration-questions:
    post:
      tags:
        - Inspiration Questions
      summary: Create an inspiration question
      description: Create a new inspiration question for the authenticated workspace.
      operationId: createInspirationQuestion
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                question:
                  type: string
                  minLength: 10
                  maxLength: 170
                description:
                  nullable: true
                  type: string
                  maxLength: 5000
                icon:
                  default: question-mark
                  type: string
                  enum:
                    - bulb
                    - sparkles
                    - message
                    - message-circle
                    - pencil
                    - writing
                    - book
                    - bookmark
                    - star
                    - heart
                    - target
                    - rocket
                    - briefcase
                    - building
                    - building-skyscraper
                    - home
                    - users
                    - user
                    - users-group
                    - speakerphone
                    - send
                    - mail
                    - brand-linkedin
                    - link
                    - world
                    - search
                    - calendar
                    - clock
                    - chart-bar
                    - chart-line
                    - chart-dots
                    - chart-pie
                    - trending-up
                    - trophy
                    - award
                    - bolt
                    - flame
                    - sun
                    - moon
                    - cloud
                    - camera
                    - microphone
                    - video
                    - photo
                    - file-text
                    - clipboard
                    - check
                    - circle-check
                    - help
                    - question-mark
                userType:
                  default: thought_leader
                  type: string
                  enum:
                    - thought_leader
                    - advocate
                    - all
                groups:
                  default: []
                  type: array
                  items:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                isActive:
                  default: true
                  type: boolean
                archived:
                  default: false
                  type: boolean
              required:
                - question
      responses:
        '201':
          description: The created inspiration question
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inspirationQuestionSchema'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '409':
          $ref: '#/components/responses/409'
        '410':
          $ref: '#/components/responses/410'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - token: []
components:
  schemas:
    inspirationQuestionSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the inspiration question.
        workspaceId:
          type: string
          description: The workspace ID the question belongs to.
        question:
          type: string
          description: The text of the inspiration question.
        description:
          nullable: true
          description: A helpful description or tooltip for the question.
          type: string
        icon:
          type: string
          enum:
            - bulb
            - sparkles
            - message
            - message-circle
            - pencil
            - writing
            - book
            - bookmark
            - star
            - heart
            - target
            - rocket
            - briefcase
            - building
            - building-skyscraper
            - home
            - users
            - user
            - users-group
            - speakerphone
            - send
            - mail
            - brand-linkedin
            - link
            - world
            - search
            - calendar
            - clock
            - chart-bar
            - chart-line
            - chart-dots
            - chart-pie
            - trending-up
            - trophy
            - award
            - bolt
            - flame
            - sun
            - moon
            - cloud
            - camera
            - microphone
            - video
            - photo
            - file-text
            - clipboard
            - check
            - circle-check
            - help
            - question-mark
          description: The icon name for the question.
        userType:
          type: string
          enum:
            - thought_leader
            - advocate
            - all
          description: The user type that the question applies to.
        groups:
          type: array
          items:
            type: string
          description: Group IDs the question is assigned to.
        isActive:
          type: boolean
          description: Whether the question is active.
        archived:
          type: boolean
          description: Whether the question is archived.
        createdAt:
          description: When the question was created.
          type: string
        updatedAt:
          description: When the question was last updated.
          type: string
      required:
        - id
        - workspaceId
        - question
        - description
        - icon
        - userType
        - groups
        - isActive
        - archived
        - createdAt
        - updatedAt
      additionalProperties: false
      title: Inspiration Question
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            x-speakeasy-name-override: BadRequest
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#bad-request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: Unauthorized
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: Forbidden
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: NotFound
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#not-found
                required:
                  - code
                  - message
            required:
              - error
    '409':
      description: >-
        This response is sent when a request conflicts with the current state of
        the server.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: Conflict
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - conflict
                    description: A short code indicating the error code returned.
                    example: conflict
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#conflict
                required:
                  - code
                  - message
            required:
              - error
    '410':
      description: >-
        This response is sent when the requested content has been permanently
        deleted from server, with no forwarding address.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: InviteExpired
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - invite_expired
                    description: A short code indicating the error code returned.
                    example: invite_expired
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.heyoo.ai/api-reference/errors#invite-expired
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: UnprocessableEntity
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.heyoo.ai/api-reference/errors#unprocessable-entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            x-speakeasy-name-override: RateLimitExceeded
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.heyoo.ai/api-reference/errors#rate-limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            x-speakeasy-name-override: InternalServerError
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    x-speakeasy-error-message: true
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.heyoo.ai/api-reference/errors#internal-server_error
                required:
                  - code
                  - message
            required:
              - error
  securitySchemes:
    token:
      type: http
      description: Default authentication mechanism
      scheme: bearer
      x-speakeasy-example: HEYOO_API_KEY

````